<?php
/*
Plugin Name: Better Tag Cloud
Plugin URI: http://www.nkuttler.de/wordpress/nktagcloud/
Author: Nicolas Kuttler
Author URI: http://www.nkuttler.de/
Description: A Better Tag Cloud than the default one.
Version: 0.8.12.2
Text Domain: nktagcloud
*/

/**
 * Plugin (de)activation
 *
 * @since 0.8.0alpha-1
 */
function nktagcloud_load() {
	if ( is_admin() ) {
		require_once( 'inc/admin.php' );
		register_activation_hook( __FILE__, 'nktagcloud_install' );
	}
}
nktagcloud_load();

/**
 * Things to run during init hook
 *
 * @since 0.8.6
 */
function nktagcloud_init() {
	// always needed for footer link
	require_once( 'inc/page.php' );

	if ( is_admin() ) {
		require_once( 'inc/admin.php' );
		add_action( 'admin_menu', 'nktagcloud_add_pages' );

		register_widget_control( __('Better Tag Cloud', 'nktagcloud' ), 'nktagcloud_control' );
		register_sidebar_widget( __('Better Tag Cloud', 'nktagcloud'), 'widget_nktagcloud' );
	}
	else {
		add_shortcode( 'nktagcloud', 'nktagcloud_shortcode' );
		register_sidebar_widget( __('Better Tag Cloud', 'nktagcloud'), 'widget_nktagcloud' );
	}
}
add_action( 'init', 'nktagcloud_init' );

/**
 * Create a shortcode
 *
 * @since 0.8.1
 */
function nktagcloud_shortcode() {
	$before = '<div class="better-tag-cloud-shortcode" >';
	$after = '</div>';
	$option = get_option( 'nktagcloud' );
	$config = $option['config'];
	$cloud = nktagcloud_the_cloud( $config );
	return $before . $cloud . $after;
}
